View Issue Details

IDProjectCategoryView StatusLast Update
0001360SpeedFanHardware supportpublic2009-03-04 10:12
ReporterhaysdbAssigned Toalfredo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionduplicate 
PlatformAMDOSWindows 7OS VersionBeta, Build 7000
Product Version4.38 beta 
Target VersionFixed in Version 
Summary0001360: IT8720F not properly identify on Gigabyte MA790XT-UD4P
DescriptionThe MA790XT-UD4P motherboard uses the ITE IT8720F controller chip, but SpeedFan is recognizing it as an IT8718F. SpeedFan isn't matching up to Everest or CPUID Hardware Monitor and I'm wondering if it isn't because SpeedFan is not correctly identifying the controller chip.

Issues:
1) CPU fan speed is reported as 13 RPM to 20 RPM. I've tried to fix this in the Advanced tab of Configure but nothing I have tried so far works.
2) I don't find any temperatures corresponding to the 3 cores in my Phenom II X3 720 processor chip.
Steps To ReproduceIt's consistent in saying the controller chip is an IT8718 instead of an 8720.
Additional InformationSorry, I don't know what else would be useful.
TagsNo tags attached.
Motherboard Model
Video Card ModelAsus EN9600GT Silent

Relationships

duplicate of 0001348 resolvedalfredo Redetect sensor and reset setting's 

Activities

haysdb

2009-03-02 15:32

reporter   ~0004571

Win9x:NO 64Bit:YES GiveIO:NO SpeedFan:YES
I/O properly initialized
Linked ISA BUS at $0290
Linked ATI SBx00 SMBUS at $0B00
Found nVidia GeForce 9600 GT
Linked nVidiaI2C0 SMBUS at $3D403E3F
Linked nVidiaI2C1 SMBUS at $3D403637
Linked nVidiaI2C2 SMBUS at $3D405051
Scanning ISA BUS at $0290...
SuperIO Chip=IT8720F
Linked ISA BUS at $0228
Scanning AtiIgp SMBus at $0B00...
Scanning I2CNVidia SMBus at $3D403E3F...
Address $2D appears to be WRITE ONLY...
Address $2E appears to be WRITE ONLY...
Address $48 appears to be WRITE ONLY...
Address $49 appears to be WRITE ONLY...
Address $4C appears to be WRITE ONLY...
Address $50 appears to be WRITE ONLY...
Scanning I2CNVidia SMBus at $3D403637...
Scanning I2CNVidia SMBus at $3D405051...
Scanning ISA BUS at $0228...
IT8718F found on ISA at $228
Found WDC WD6400AAKS-00A7B2 (640.1GB)
Found WDC WD7500AACS-00D6B0 (750.2GB)
End of detection
Loaded 0 events

haysdb

2009-03-04 00:41

reporter   ~0004586

I copied the existing .cfg files into a folder and re-ran SpeedFan. I then did a diff on the old and new files. Nothing of consequence is different. TrayFontSize, CLIconBack, CLIconText, AutoFanSpeed, and MailProfiles are of no consequence.

Oddly, there is one other difference. The old config file had CLKMBVendor=GIGABYTE. CLKMBVendor after the redetect is blank.

Bottom line: Redetecting the sensor chip did not resolve this issue - SpeedFan still thinks the sensor chip is an IT8718F when it's actually an IT8720F.

I'm not going to pursue this any further, but I did want to document that the proposed solution did not work on the Gigabyte MA790XT-UD4P motherboard.

alfredo

2009-03-04 09:03

manager   ~0004589

@haysdb
The solution is not to delete configuration files. I have to improve the logic that detects the chip. CLKMBVendor is user selected. That's why you found it blank.

alfredo

2009-03-04 09:21

manager   ~0004590

@haysdb
Please, send me a SEND REPORT (INFO tab) using the latest 4.38 beta.
Add a note to the report with this issue ID.
Thank you.

alfredo

2009-03-04 10:12

manager   ~0004591

Please, follow the other thread.
I have a beta for you to try.

Issue History

Date Modified Username Field Change
2009-03-02 15:28 haysdb New Issue
2009-03-02 15:28 haysdb Status new => assigned
2009-03-02 15:28 haysdb Assigned To => alfredo
2009-03-02 15:28 haysdb Video Card Model => Asus EN9600GT Silent
2009-03-02 15:32 haysdb Note Added: 0004571
2009-03-03 12:04 alfredo Relationship added duplicate of 0001348
2009-03-03 12:04 alfredo Status assigned => closed
2009-03-03 12:04 alfredo Resolution open => duplicate
2009-03-04 00:41 haysdb Note Added: 0004586
2009-03-04 00:41 haysdb Status closed => feedback
2009-03-04 00:41 haysdb Resolution duplicate => reopened
2009-03-04 09:03 alfredo Note Added: 0004589
2009-03-04 09:21 alfredo Note Added: 0004590
2009-03-04 10:12 alfredo Note Added: 0004591
2009-03-04 10:12 alfredo Status feedback => closed
2009-03-04 10:12 alfredo Resolution reopened => duplicate